#contact-modal {
	background-color: gray;
}
.contact-modal-open #contact-modal {
	transform: translateY(0px);
	opacity: 1;
	pointer-events: auto;
}

/*----------------------------------------------------------------------------*/

#contact-modal:before {
	content: '';
	position: absolute; top: 25px; z-index: 2;
	display: block; height: var(--height); width: calc(var(--height) / .216);
	
	background-color: #FFF;
	
	--mask-image: url(../../images/logo.svg);
	--mask-position: top left;
	--mask-size: contain;
	--mask-repeat: no-repeat;

	-webkit-mask-image: var(--mask-image);
	mask-image: var(--mask-image);
	-webkit-mask-position: var(--mask-position);
	mask-position: var(--mask-position);
	-webkit-mask-size: var(--mask-size);
	mask-size: var(--mask-size);
	-webkit-mask-repeat: var(--mask-repeat);
	mask-repeat: var(--mask-repeat);
	
	pointer-events: none;
}
@media (min-width: 900px) {
	#contact-modal:before {
		--height: 50px;
		left: 50%; transform: translateX(-50%);
	}
}
@media (max-width: 899.99px) {
	#contact-modal:before {
		--height: 40px;
		left: 25px;
	}
}

/*----------------------------------------------------------------------------*/

#contact-modal > .close-btn {
	--height: 50px;
	--bg-color-basic: #D5ED99;
	--bg-color-hover: #BCD5E4;
	--border-color: #364A67;
	
	position: absolute; top: 25px; right: 25px; z-index: 1;
	display: flex; height: var(--height); min-width: var(--height);
	flex-direction: row;
	align-items: center;
	
	color: var(--bg-color-basic);
	
	pointer-events: none;
	cursor: pointer;
	
	transition: color .2s ease-out;
}
#contact-modal > .close-btn:before {
	content: '';
	box-sizing: border-box;
	position: absolute; top: 0; right: 0;
	display: block; height: var(--height); width: var(--height); overflow: hidden;
	
	background-color: currentColor;
	background-clip: content-box;
	border: solid 1px var(--border-color);
	border-radius: 50%;
	
	pointer-events: auto;
}
#contact-modal > .close-btn:after {
	content: '';
	position: absolute; top: 0; right: 0; transform: rotate(0deg);
	display: block; height: var(--height); width: var(--height);
	
	background-color: var(--border-color);
	
	--mask-image: url("../../images/icons/close.svg");
	--mask-position: center;
	--mask-size: 50%;
	--mask-repeat: no-repeat;

	-webkit-mask-image: var(--mask-image);
	mask-image: var(--mask-image);
	-webkit-mask-position: var(--mask-position);
	mask-position: var(--mask-position);
	-webkit-mask-size: var(--mask-size);
	mask-size: var(--mask-size);
	-webkit-mask-repeat: var(--mask-repeat);
	mask-repeat: var(--mask-repeat);
	
	transition: transform .4s ease-out;
}
#contact-modal > .close-btn:hover { color: var(--bg-color-hover); }
#contact-modal > .close-btn:hover:after { transform: rotate(45deg); }
#contact-modal > .close-btn > .label {
	
}
@media (min-width: 900px) {
	#contact-modal > .close-btn {
		--height: 50px;
	}
	#contact-modal > .close-btn > .label {
		margin-right: calc(var(--height) * 1.5);

		font-size: 15px;
		font-weight: 500;

		pointer-events: auto;
	}
}
@media (max-width: 899.99px) {
	#contact-modal > .close-btn {
		--height: 40px;
	}
	#contact-modal > .close-btn > .label {
		display: none;
	}
}

/*----------------------------------------------------------------------------*/

#contact-modal > .sections {
	display: grid;
	
	isolation: isolate;
}
#contact-modal > .sections > .section {
	position: relative;
	display: flex; height: 100%; width: 100%;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	
	text-align: center;
	color: #FFF;
	
	cursor: pointer;
}
#contact-modal > .sections > .section > .illustration {
	position: absolute; top: 0; left: 0; z-index: -1;
	height: 100%; width: 100%; overflow: hidden;
	
	filter: brightness(.8) !important;
}
#contact-modal > .sections > .section > .illustration > .media-element {
	transition: transform .4s ease-out;
}
#contact-modal > .sections > .section:hover > .illustration > .media-element {
	transform: scale(1.1);
}
#contact-modal > .sections > .section > .hook {
	line-height: 24px;
	font-size: 22px;
	font-weight: 500;
}
#contact-modal > .sections > .section > .hook:not(:last-child) { margin-bottom: 10px; }
#contact-modal > .sections > .section > .title {
	line-height: 90%;
	font-weight: 500;
}
@media (min-width: 900px) {
	#contact-modal > .sections {
		height: 100%;
		grid-template-columns: repeat(2, 1fr);
	}
	#contact-modal > .sections > .section > .hook,
	#contact-modal > .sections > .section > .title {
		max-width: 400px;
	}
	#contact-modal > .sections > .section > .title {
		font-size: 60px;
	}
}
@media (max-width: 899.99px) {
	#contact-modal > .sections {
		grid-template-columns: 1fr;
		grid-template-rows: repeat(2, 135vw);
	}
	#contact-modal > .sections > .section > .hook,
	#contact-modal > .sections > .section > .title {
		max-width: 250px;
	}
	#contact-modal > .sections > .section > .title {
		font-size: 36px;
	}
}

/*----------------------------------------------------------------------------*/
/*----------------------------------------------------------------------------*/
/*----------------------------------------------------------------------------*/

.contact-modal {
	display: grid;
	background-color: gray;
}
.contact-modal > * {
	position: relative;
	isolation: isolate;
}
@media (min-width: 900px) {
	.contact-modal {
		height: 100%;
		grid-template-columns: 500px 1fr;
	}
}
@media (max-width: 899.99px) {
	.contact-modal {
		grid-template-columns: 1fr;
		grid-template-rows: 135vw auto;
	}
}

/*----------------------------------------------------------------------------*/

.contact-modal > .close-btn {
	--height: 50px;
	--bg-color-basic: #D5ED99;
	--bg-color-hover: #BCD5E4;
	--border-color: #364A67;
	
	position: absolute; top: 25px; right: 25px; z-index: 3;
	display: flex; height: var(--height); min-width: var(--height);
	flex-direction: row;
	align-items: center;
	
	color: var(--bg-color-basic);
	
	pointer-events: none;
	cursor: pointer;
	
	transition: color .2s ease-out;
}
.contact-modal > .close-btn:before {
	content: '';
	box-sizing: border-box;
	position: absolute; top: 0; right: 0;
	display: block; height: var(--height); width: var(--height); overflow: hidden;
	
	background-color: currentColor;
	background-clip: content-box;
	border: solid 1px var(--border-color);
	border-radius: 50%;
	
	pointer-events: auto;
}
.contact-modal > .close-btn:after {
	content: '';
	position: absolute; top: 0; right: 0; transform: rotate(0deg);
	display: block; height: var(--height); width: var(--height);
	
	background-color: var(--border-color);
	
	--mask-image: url("../../images/icons/close.svg");
	--mask-position: center;
	--mask-size: 50%;
	--mask-repeat: no-repeat;

	-webkit-mask-image: var(--mask-image);
	mask-image: var(--mask-image);
	-webkit-mask-position: var(--mask-position);
	mask-position: var(--mask-position);
	-webkit-mask-size: var(--mask-size);
	mask-size: var(--mask-size);
	-webkit-mask-repeat: var(--mask-repeat);
	mask-repeat: var(--mask-repeat);
	
	transition: transform .4s ease-out;
}
.contact-modal > .close-btn:hover { color: var(--bg-color-hover); }
.contact-modal > .close-btn:hover:after { transform: rotate(45deg); }
.contact-modal > .close-btn > .label {
	
}
@media (min-width: 900px) {
	.contact-modal > .close-btn {
		--height: 50px;
	}
	.contact-modal > .close-btn > .label {
		margin-right: calc(var(--height) * 1.5);

		font-size: 15px;
		font-weight: 500;

		pointer-events: auto;
	}
}
@media (max-width: 899.99px) {
	.contact-modal > .close-btn {
		--height: 40px;
	}
	.contact-modal > .close-btn > .label {
		display: none;
	}
}

/*----------------------------------------------------------------------------*/

.contact-modal > .header {
	display: flex; height: 100%; width: 100%;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	padding: 40% 25px 25px;
	
	text-align: center;
	color: #FFF;
}
.contact-modal > .header > .illustration {
	position: absolute; top: 0; left: 0; z-index: -1;
	height: 100%; width: 100%; overflow: hidden;
	
	filter: brightness(.8) !important;
}
.contact-modal > .header > .hook {
	line-height: 24px;
	font-size: 22px;
	font-weight: 500;
}
.contact-modal > .header > .hook:not(:last-child) { margin-bottom: 10px; }
.contact-modal > .header > .title {
	line-height: 90%;
	font-weight: 500;
}
.contact-modal > .header > .title:not(:last-child) { margin-bottom: 40px; }
@media (min-width: 900px) {
	.contact-modal > .header {
		padding-right: 55px;
	}
	.contact-modal > .header > .hook,
	.contact-modal > .header > .title {
		max-width: 400px;
	}
	.contact-modal > .header > .title {
		font-size: 60px;
	}
}
@media (max-width: 899.99px) {
	.contact-modal > .header {
		padding-bottom: 55px;
	}
	.contact-modal > .header > .hook,
	.contact-modal > .header > .title {
		max-width: 250px;
	}
	.contact-modal > .header > .title {
		font-size: 36px;
	}
}

/*----------------------------------------------------------------------------*/

.contact-modal > .content {
	box-shadow: 0 0 30px rgba(0,0,0,.3);
	color: #FFF;
}
.contact-modal > .content > .outer-wrapper {}
.contact-modal > .content > .outer-wrapper > .inner-wrapper {}
@media (min-width: 900px) {
	.contact-modal > .content {
		overflow: auto;
		margin-left: -30px;
		
		background-image:
			url("../../images/pixel-bg-right.svg"),
			linear-gradient(to top, #BCD5E4 10%, #4E677C 65%, #364A67 115%);
		background-position:
			top right,
			top left;
		background-size:
			contain,
			auto;
		background-repeat: no-repeat;
		border-top-left-radius: 30px;
		border-bottom-left-radius: 30px;
	}
	.contact-modal > .content > .outer-wrapper {
		position: absolute; top: 0; left: 0;
		display: block; height: 100%; width: 100%; overflow: auto;
		padding: 100px 25px;

		--mask-image: linear-gradient(to bottom, transparent 25px, #000 100px, #000 calc(100% - 100px), transparent calc(100% - 25px));

		-webkit-mask-image: var(--mask-image);
		mask-image: var(--mask-image);
	}
	.contact-modal > .content > .outer-wrapper > .inner-wrapper {
		display: flex; min-height: 100%; max-width: 700px;
		flex-direction: column;
		justify-content: center;
		margin: 0 auto;
	}
}
@media (max-width: 899.99px) {
	.contact-modal > .content {
		margin-top: -30px;
		padding: 75px 25px;
		
		background-color: #435A73;
		border-top-left-radius: 30px;
		border-top-right-radius: 30px;
	}
	.contact-modal > .content > .outer-wrapper {}
	.contact-modal > .content > .outer-wrapper > .inner-wrapper {}
}